QGIS Application - Feature request #3393
Help Contents not about using QGIS
2011-01-05 10:31 AM - Alex Mandel

Status: Closed

Priority: Low

Assignee: Otto Dassau

Category: Documentation and Help

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 13453
Description

Opening the help contents doesn't provide much in the way of useful information for a normal user. On my Ubuntu system it's a page
about compiling QGIS, on my Trunk build it's the changelog which is also accessible in the About dialog. Can someone check this on
recent builds of Mac/Windows?

My suggestion would be to include the latest user manual in html form generated from the latex source in a Qt Web View. Or to include the
PDF version in the distribution and open it on request. New users really need the basic what are each of these buttons and how do |
install/use plugins in the built in help.

History

#1 - 2011-04-11 09:42 AM - mlennert -

Coming over from #3718 which was closed as duplicate of this one: | think it would already be a great start to have the manual in browsable form (and not
only as PDF download) on the QGIS website.

Moritz

#2 - 2011-12-16 01:50 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:35 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-03-05 06:50 AM - Alexander Bruy
- Pull Request or Patch supplied set to No

Now Help Contents points to the documentation site. But seems it used current version number, not latest stable one, so for master branch it gives 404 as

manual is not here.

#6 - 2015-11-19 06:21 AM - Médéric RIBREUX
- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100
Hello, bug triage...

as of today, QGIS 2.13 master points to testing manual and QGIS 2.12 Lyon (non LTR version) points to 2.8 manual (stable).

Everything has been fixed on QGIS doc website to redirect master and 2.12 to testing and 2.8.

| am closing this feature request.

2025-04-26 22



